package com.hai.service;

import com.hai.entity.SecUserLabel;

import java.util.List;
import java.util.Map;

/**
 * @author hurui
 */
public interface SecUserLabelService {

    /**
     * 编辑
     * @param userLabel
     */
    void edit(SecUserLabel userLabel);

    /**
     * 根据用户查询
     * @param userId
     * @return
     */
    List<SecUserLabel> getLabelByUser(Long userId);

    /**
     * 根据公司查询标签下的用户
     * @param companyId
     * @param labelId
     * @return
     */
    List<Map<String, Object>> getUserByCompanyAndLabel(Long companyId, Long labelId);


}
